Solid Commerce Docs
GET/v1/crm/customers/{id}

GET /v1/crm/customers/{id}

Scopes: crm:customers:read

Requires scope: crm:customers:read.

Parameters

NameInTypeRequiredDescription
idpathinteger<int32>yes

Response (200)

FieldTypeRequiredDescription
customerIdinteger<int32>no
buyerEmailstringno
businessNamestringno
buyerPhonestringno
isResellerbooleanno
resellerNumberstringno
customerSincestring<date-time>no
customerDiscountPercentagenumber<double>no
shippingAddressCustomerAddressno
billingAddressCustomerAddressno

Examples

import { SolidCommerceClient } from '@solidcommerce/sdk';

const client = new SolidCommerceClient({
  apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});

const { data, error } = await client.raw.GET('/v1/crm/customers/{id}', {
  // params: { path: { id: '...' }, query: { limit: 25 } },
  // body: { /* request body */ },
});

if (error) throw error;
console.log(data);